Migrate Elasticsearch and associated Kibana resources to enable CCR
- POST /deployments/{deployment_id}/elasticsearch/{ref_id}/_enable-ccr
Migrates the specified Elasticsearch resource and its associated Kibana to enable CCR (if supported).
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one).
Query Parameters
-
validate_onlyboolean · default: false When
true, will not enable CCR but returns warnings if any elements may lose availability during CCR enablement
Responses
Standard response
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response